import request from '@/utils/request';
// 获取所有变电站
export function getCameraIntegrityRate(params:any){
  return request({
    url: '/basedata/substation-patroldevice/getCameraIntegrityRate' ,
    method: 'get',
    params
  });
}
// 巡视设备巡检统计
export function getDeviceInspectionStat(params:any){
  return request({
    url: '/patroltask/getDeviceInspectionStatPage' ,
    method: 'get',
    params
  });
}
// 巡视任务数据统计
export function getTaskDataStat(params:any){
  return request({
    url: '/patroltask/getTaskDataStatPage' ,
    method: 'get',
    params
  });
}
// 巡视设备累计在线、离线统计
export function getRobotOnlineRate(params:any){
  return request({
    url: '/basedata/substation-patroldevice/getRobotOnlineRate' ,
    method: 'get',
    params
  });
}
//导出点位
export function deviceDownloadFile(queryParams: any) {
  return request({
    url: '/patroltask/exportTaskDataStat',
    method: 'get',
    params: queryParams,
    responseType: 'arraybuffer'
  });
}

